#include <string.h>
#include <stdio.h>

int main(int argc, char **argv){
    if(argc<4) return -1;
    char *s1=argv[1];
    char *s2=argv[2];
    char *s3=argv[3];
    int i;
    int l1 = strlen(s1);
    int l2 = strlen(s2);
    int l3 = strlen(s3);
    if (l1!=l2 || l1!=l3) return -2;

    for(i=0; i<l1; i++){
        /*if(s1[i]==s2[i] || s1[i]==s3[i]) printf("%c", s1[i]);
        else*/ 
        if (s2[i]==s3[i]) printf("%c", s2[i]);
        else printf("%c", s1[i]);
    }
    printf("\n");
    return 0;
}
